Follow

@mose , finalement tu as réussi à refaire marcher le chat dans OBS ?

· · Web · 1 · 0 · 0

@John_Livingston non par contre un pote a le meme soucis du coup le probleme vient pas de chez moi ... par contre sur mac ca marche

@John_Livingston ca fait pareil qu'avec mon livechat, meme erreur en console. Et shinobi teste sous windows ca a pas l'air de marcher non plus.

@mose WTF ?
Sur mon OBS ça fonctionne sans soucis. OBS installé via le paquet snap.

@mose si c'est ConverseJS 9 qui est en cause (incompatibilité avec la version de chrome utilisée par certains OBS), ça va être compliqué de corriger....

@mose @John_Livingston
On viens de voir avec mose que sur ma machine ca ne fonctionne pas avec OBS installé via apt auquel il faut ajouter le plugin LinuxBrowser après mais que si on installe OBS via snap ca fonctionne bien

@12b
Vous seriez dispo qu'on se mette sur un BigBlueButton et qu'on debug ça à plusieurs ?

@mose

@John_Livingston @mose
Si c'est ça le problème, la beta d'OBS utilise un CEF basé sur chromium 95 sur Linux, macOS et Windows.

@John_Livingston @mose
Le snap n'est pas un paquet officiel et rien ne garanti qu'OBS est stable avec ce CEF la.

Soit le PPA instable, soit le flatpak beta pout avoir la beta officiel si vous voulez tester.

@tytan652
On a creusé un peu plus. À priori c'est lié au plugin obs «linux browser», qui n'est pas tout à fait le même que «browser». Ce dernier semble fonctionner. Je ne vais pas creuser plus, vu que le problème semble être du coté de ce browser.

@mose

@John_Livingston @mose
Ça fait un moment que ce plugin est abandonné.

OBS propose le CEF depuis la 26.1 sur Linux, mais après les distros n'en font qu'à leur tête donc pas de CEF dans la majorité.

Pour Ubuntu et dérivée, c'est le PPA qu'il faut utilisé.

Sur Arch et dérivé, il y a mon paquet AUR.

Pour les autres distro, c'est plûtot le Flatpak.

Et pour ceux qui n'aime pas les Flatpak. Ils doivent compiler eux-même OBS avec le CEF fournit par OBS.

@tytan652
Yes !
Il y a aussi le paquet snap qui a l'option.
À priori le plugin de tchat marche avec le CEF, donc tout va bien :)

@John_Livingston

Le souci du snap, c'est qu'il ne respecte pas la version du CEF qu'OBS officielement supporte, la 27.1.2 supporte chromium 87 et le beta c'est 95 avec des patchs fait par l'équipe d'OBS.

Après comme le snap est identifiable via les logs, on les envoie se plaindre auprès des snapcrafters car ce n'est pas vraiment supporté par l'équipe d'OBS.

@John_Livingston
OBS 27.1.3 sur Linux (le CEF diffère ici sur Win et mac, surtout sur Windows): ça s'affiche

OBS beta 27.2 (le même CEF sur les trois): ça s'affiche

@John_Livingston @tytan652 @mose

je viens de tester OBS 27.1.3 avec flatpak et ça fonctionne bien, même pas la peine de passer par la version beta

@12b @John_Livingston @tytan652 bon je confirme, maintenant ca marche aussi pour moi avec flatpak. victoire et joie !! :)

Sign in to participate in the conversation
La Quadrature du Net - Mastodon - Media Fédéré

Mamot.fr est un serveur Mastodon francophone, géré par La Quadrature du Net.